# StreamTransformerBase<S, T> class

Base class for implementing StreamTransformer.

Contains default implementations of every method except bind.

Implemented types
  - StreamTransformer<S, T>
Implementers
  - Converter
  - LineSplitter

## Constructors

StreamTransformerBase()
  const

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

cast<RS, RT>() → StreamTransformer<RS, RT>
  Provides a `StreamTransformer<RS, RT>` view of this stream transformer. [...]
  override
bind(Stream<S> stream) → Stream<T>
  Transforms the provided `stream`. [...]
  inherited
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(dynamic other) → bool
  The equality operator. [...]
  inherited